/* component styles */
.hide {
  display: none;
}

.dropdown-content {
  display: none;
  position: absolute;
  max-height: 450px;
  padding: 20px;
  overflow: auto;
  z-index: 1;
  border-top: rgba(0, 0, 0, 0.05) 1px solid;
  background: #ffffff;
  box-shadow: 0 5px 8px rgba(0, 0, 0, 0.15);
}

.dropdown--active .dropdown-content {
  display: block;
}

.dropdown-content ul {
  margin: 0;
  padding: 0;
}

.dropdown-content input {
  margin-right: 15px;
  outline: none;
}

.dropdown-trigger {
  display: inline-block;
  height: 32px;
  max-height: 800px;
  overflow: hidden;
}

.react-dropdown-tree-select.input-group {
  height: 32px;
}

.dropdown-trigger .more+span:after {
  visibility: visible;
}

/* 覆盖掉 input框hover时，tag标签颜色变化 */
a.dropdown__trigger:hover {
  color: inherit !important;
}

/* 删除符号 */
.react-dropdown-tree-select .dropdown .dropdown__trigger span.rainbow.rb-clear {
  right: 34px;
}

/* 向下箭头 */
.react-dropdown-tree-select .dropdown .dropdown__trigger span.rainbow {
  position: absolute;
  right: 10px;
  top: 8px;
}

/* 解决在table中偏移问题 */
td .react-dropdown-tree-select.input-group {
  position: static;
}

td .react-dropdown-tree-select.input-group .dropdown {
  position: static;
}

td .dropdown__trigger {
  position: relative;
  height: 30px;
}



/* --------------------- */
.dropdown-trigger input {
  border: none;
  outline: none;
  padding: 0 10px;
  height: 30px;
}

.tag-list {
  width: 100%;
}

/* 输入框上标签盒子 */
.tag-list>div {
  position: absolute;
  z-index: 0;
}

.tag-list:focus-within div {
  z-index: 1;
}

.tag-list>input:focus {
  opacity: 1 !important;
  z-index: 2;
}

/* 输入框 */
.dropdown-trigger ul>input {
  display: inline;
  position: absolute;
  width: 100%;
  opacity: 0;
}


.dropdown__content .bootstrap-switch {
  float: right;
}

.dropdown__content .choose-textalign {
  text-align: right;
}

.dropdown__content .choose-textalign label {
  display: none;
}

.suspended .node-label {
  font-style: italic;
  text-decoration: line-through;
}

/* 单选时，table中的checkbox样式 */
.single-select .demo--checkbox.demo--radioInput {
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
}

.single-select .checkbox-inout:checked+.demo--checkbox {
  border-color: rgba(0, 0, 0, 0.15);
}

.single-select .demo--checkbox.demo--radioInput::after {
  width: 18px;
  height: 18px;
  border: 5px solid #FFFFFF;
  border-radius: 50%;
  top: -1px;
  left: -1px;
}

.tree-select-single input.checkbox-item {
  display: none;
}



/* mdl-demo is a custom classname to increases the specificity of our styles. It can be anything. 
 * The idea is that it is easy to extend/override builtin styles with very little effort.
 */

.mdl-demo .dropdown-trigger>span:after {
  font-size: 10px;
  color: #555;
}

.mdl-demo .toggle {
  font: normal normal normal 18px/1 'Material Icons';
  color: #555;
  white-space: pre;
  margin-right: 4px;
}

.mdl-demo .toggle.collapsed::after {
  cursor: pointer;
  /* content: "+"; */
  vertical-align: middle;
}

.mdl-demo .toggle.expanded::after {
  cursor: pointer;
  /* content: "-"; */
  vertical-align: middle;
}

/* checkbox styles */
.mdl-demo .checkbox-item {
  position: relative;
  width: 1rem;
  height: 1rem;
  margin-right: .75rem;
  cursor: pointer;
  -webkit-appearance: none;
  -moz-appearance: none;
  /* appearance: none; */
  outline: 0;
  vertical-align: middle;
}

.mdl-demo .checkbox-item:before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  border: 2px solid #aaa;
  transition: all 0.3s ease-in-out;
}

.mdl-demo .checkbox-item:checked:before {
  height: 50%;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
  border-top-style: none;
  border-right-style: none;
  border-color: #2196f3;
}


/*vera-react-dropdown-tree-select*/
.react-dropdown-tree-select .dropdown-trigger>span:after {
  font-size: 10px;
  color: #555;
}


.react-dropdown-tree-select .toggle.collapsed::after {
  cursor: pointer;
  /* content: "+"; */
  vertical-align: middle;
}

.react-dropdown-tree-select .toggle.expanded::after {
  cursor: pointer;
  /* content: "-"; */
  vertical-align: middle;
}

/* checkbox styles */
.react-dropdown-tree-select .checkbox-item {
  position: relative;
  cursor: pointer;
  height: 16px !important;
  width: 16px !important;
  -webkit-appearance: none;
  -moz-appearance: none;
  outline: none;
  vertical-align: middle;
}

.react-dropdown-tree-select .checkbox-item:before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  border: 1px solid #CCCCCC;
  border-radius: 3px;
}


/*switch begin*/
.bootstrap-switch,
.bootstrap-switch .bootstrap-switch-label {
  border-radius: 24px;
}

.react-dropdown-tree-select .bootstrap-switch-focused {
  box-shadow: none !important;
}

.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-wrapper.bootstrap-switch-on .bootstrap-switch-container {
  background: #13d199;
}

.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-wrapper.bootstrap-switch-off .bootstrap-switch-container {
  background: rgb(238, 238, 238);
}

.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-wrapper.bootstrap-switch-off {
  border-color: #ccc;
}

.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-wrapper.bootstrap-switch-on {
  border-color: #13d199;
}

.react-dropdown-tree-select .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-primary,
.react-dropdown-tree-select .bootstrap-switch .bootstrap-switch-handle-off.bootstrap-switch-primary {
  background: #13d199;
}

.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-mini .bootstrap-switch-handle-on,
.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-mini .bootstrap-switch-handle-off,
.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-mini .bootstrap-switch-label {
  line-height: 24px;
}

/*switch end*/
/*vera-react-dropdown-tree-select*/
.react-dropdown-tree-select .tag-remove {
  outline: none;
  color: #333;
  font-size: 12px;
  width: 16px;
  padding: 0;
}

/* .react-dropdown-tree-select .tag-list {
  position: absolute !important;
} */

.dropdown-trigger>span:after {
  margin: 5px 0px 0px -10px;
  background: #fff !important;
}

/*UIInputTreeSelect*/
.react-dropdown-tree-select .tag {
  display: inline-block;
  height: 20px;
  line-height: 20px;
}

/*InputTreeSelect*/
.react-dropdown-tree-select[disabled] {
  background-color: #f6f6f6 !important;
  border: 1px solid #ccc !important;
}

.react-dropdown-tree-select[disabled]>.dropdown>.dropdown-trigger>.tag-list>.tag-item>.tag,
.react-dropdown-tree-select[disabled]>.dropdown>.dropdown-trigger>.tag-list>.tag-item>.tag>.tag-remove:before,
.react-dropdown-tree-select[disabled]>.dropdown>.dropdown-trigger>.tag-list+span:after {
  color: #333 !important;
}

.react-dropdown-tree-select[disabled]>.dropdown>.dropdown-trigger>.tag-list>.tag-item>.tag>.tag-remove {
  border-left-color: #333 !important;
  outline: none !important;
}

table .react-dropdown-tree-select .bootstrap-switch>.bootstrap-switch-container>span {
  /*inputtreeselect*/
  top: 0px !important;
}

table .react-dropdown-tree-select input[type*=checkbox][value*=on]::after {
  content: unset;
}

table .react-dropdown-tree-select input[type*=checkbox][value*=on]:checked::before {
  transform: rotate(-45deg) scale(.8) !important;
}

table .react-dropdown-tree-select .bootstrap-switch>.bootstrap-switch-container>.bootstrap-switch-handle-on,
table .react-dropdown-tree-select .bootstrap-switch>.bootstrap-switch-container>.bootstrap-switch-handle-off {
  top: -1px !important;
}

table .react-dropdown-tree-select .bootstrap-switch>.bootstrap-switch-container>.bootstrap-switch-label {
  top: 0px !important;
}

.dropdown {
  height: 30px;
  width: 100%;
}

/* disabled */
.dropdown--disabled {
  background-color: #E5E5E5;
  pointer-events: none;
}

.form-group>div>.react-dropdown-tree-select .tag-list.more+span::after {
  background: transparent;
  position: absolute;
  top: 0;
  right: 0;
}

.form-group>div>.react-dropdown-tree-select button:hover {
  background-color: transparent;
}

.form-group>div>.react-dropdown-tree-select button::before,
.form-group>div>.react-dropdown-tree-select button::after {
  /* background: #007eff;
  width: 1px!important; */
  background: transparent;
  width: 1px !important;
  color: #409eff;
  top: 1px !important;
  position: relative;
}

.form-group>div>.react-dropdown-tree-select .tag-list.more+span {
  color: #409eff;
  background-color: transparent;
}

.form-group>div>.react-dropdown-tree-select .tag-list.more+span::after {
  background: transparent;
}

.form-group>div>.input-group.react-dropdown-tree-select button::before {
  font-size: 15px;
}

/*UIInpurSelectTree*/
.react-dropdown-tree-select>.root {
  font-size: 12px;
}



.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-mini .bootstrap-switch-handle-on,
.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-mini .bootstrap-switch-handle-off {
  line-height: 28px !important;
}

.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-mini .bootstrap-switch-label {
  line-height: 18px !important;
}

.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-wrapper.bootstrap-switch-off .bootstrap-switch-container {
  background-color: #f6f6f6 !important;
}

.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-mini .bootstrap-switch-handle-on,
.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-mini .bootstrap-switch-handle-off,
.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-mini .bootstrap-switch-label {
  /*修改*/
  line-height: 23px !important;
}


/*树形搜索框*/
.react-dropdown-tree-select .node {
  position: relative;
  display: flex;
  align-items: center;
  height: 32px;
}

/* checkbox框 */
.react-dropdown-tree-select .checkbox-item:checked {
  background-color: #7AADCA !important;
  border-radius: 3px;
  height: 16px !important;
  width: 16px !important;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  -o-border-radius: 3px;
}



.react-dropdown-tree-select .checkbox-item:checked:before {
  transform: rotate(-45deg) scale(.8);
  height: 50% !important;
  top: 2px !important;
  border-radius: 0px !important;
  border: 2px solid #fff !important;
  border-top-style: none !important;
  border-right-style: none !important;
}

.react-dropdown-tree-select .toggle {
  position: absolute;
  border: none;
  cursor: pointer;
  right: auto;
}

.react-dropdown-tree-select .toggle.rb-plus {
  transform: rotate(-90deg);
  -webkit-transform: rotate(-90deg);
  -moz-transform: rotate(-90deg);
  -ms-transform: rotate(-90deg);
  -o-transform: rotate(-90deg);
}

.react-dropdown-tree-select .toggle.rb-minus {}

/*inputtreeselect 全局disabled*/
.form-group>div>.react-dropdown-tree-select.is-disabled {
  border-color: #cccccc;
  background-color: #f6f6f6;
}

.form-group>div>.react-dropdown-tree-select.is-disabled .dropdown-trigger>span:after {
  color: #999999 !important;
}

.react-dropdown-tree-select.is-disabled>.dropdown>.dropdown__content>div>.root>.node>label>input {
  opacity: 0.3;
  cursor: not-allowed;
}

.react-dropdown-tree-select.is-disabled>.dropdown>.dropdown__content>div>.root>.node>label>input:checked {
  background-color: #13d199;
  opacity: 0.3;
  cursor: not-allowed;
}

.react-dropdown-tree-select.is-disabled>.dropdown>.dropdown__content>div>.root>.node>label>input:before {
  cursor: not-allowed;
}